<?php
     if($_REQUEST['ajax']) {
        switch($_REQUEST['code']) {
            case "transno":
              if(RetRstField("SELECT fnid FROM tlshift WHERE ftshift_code='{$_REQUEST['fttrans_no']}'")) {
                  ?>
                  
                  alert('Kode Pendidikan sudah dipakai... ');
            <?php
              }
              else {
                    ?>
                   
                    
                  submitbutton('Simpan','','','','');
                   
            <?php
              }
                die("");
            break;
        }       
      
    }

    if($_REQUEST['id']=='0') {
           $strAutoNumber0="
                         ajax_do_grid0('hrd.php?form=".$_REQUEST['form']."&mode=".$_REQUEST['mode']."&id=0&ajax=1&code=grid');
                         ";

            $objAxpDB->FormJS($strAutoNumber0);
    }
    
    if($_REQUEST['id']!='0') {
            $_REQUEST['id']=RetRstField("SELECT fnid FROM tlshift WHERE ftshift_code='{$_REQUEST['id']}'");
    }
   
    $objAxpDB->ViewName("Daftar Tipe Shift");
    $objAxpDB->ViewTable("vHRTipeShift");
    $objAxpDB->ViewSQL("select distinct ftshift_code as fnid,  ftshift_code, ftshift_name from tlshift");
    $objAxpDB->ViewCaption("ID, Kode Tipe Shift, Nama Tipe Shift");

    $objAxpDB->FormName("Tipe Shift");
    $objAxpDB->FormSQL("select  ftshift_code, ftshift_name from tlshift");
    $objAxpDB->FormCaption(" Kode Tipe Shift, Nama Tipe Shift");
    $objAxpDB->FormPosition("TL, TL, TL, TL");
//    $objAxpDB->FormScript(0, "onKeyUp=\"this.value=this.value.toUpperCase();\"");
//    $objAxpDB->FormScript(15, "onKeyUp=\"FormatNPWP(this)\"");

    $objAxpDB->GridSQL(0, "select fnindex, ftshift_day, fdshift_in, fdshift_out from tlshift");
    $objAxpDB->GridCaption(0, "No., Hari, Jam Masuk, Jam Keluar");
    //$objAxpDB->GridScript(0, 2, "onChange='RecalculateGrid_PO();'");

    $objAxpDB->SetStatus("id, fnStatus");
    if ($objAxpDB->GetStatus("id") == "")
            $objAxpDB->ButtonShow("baru, cetak_daftar,  export_excel ,  tutup");
    elseif ($objAxpDB->GetStatus("id") == 0) {
            $objAxpDB->FormLocked("0, 0, 0");
            $objAxpDB->GridLocked(0, "1, 0, 0,0");
            $objAxpDB->ButtonShow("reset, simpan, tutup");
    } elseif ($objAxpDB->GetStatus("id") != 0) {
            $objAxpDB->FormLocked("1, 0, 0");
              $objAxpDB->GridLocked(0, "1, 1, 0,0");
            $objAxpDB->ButtonShow("update, hapus, tutup");
    }

     if($_REQUEST['ajax']) {
           switch($_REQUEST['code']) {
           case "grid":

               ob_start();
				$ssql="SELECT fnindex,ftday_code AS ftshift_day, fdshift_in, fdshift_out from tlday order by fnindex #   ";
                                           
				$_REQUEST["id"]=0.5;
				$objAxpDB->GridSQL(0,$ssql);
				$objAxpDB->GridLocked(0, "1, 1, 0,0");
				$objAxpDB->Process();
				$objAxpDB->setGrid2(0);
				$html = ob_get_contents();
				ob_end_clean();
               ?>

                    div = document.getElementById('txtHint0');
                    var m='<?php echo js_esc($html); ?>';
                    m= m.replace(/^\s*|\s*$/g,"");

                    div.innerHTML =m;
                    RowIndex0();
                   // reSize();

               <?
		

           }
           die("");
           exit;
    }

        
    $objAxpDB->Process();
        $objAxpDB->WriteHtmlTable();
	   
       
?>
